# global params
ABSOLUTE_GRAVITY:9.81
ERROR_REDUCTION_PARAMETER:0.7
CONSTRAINT_FORCE_MIXING:1e-4

# ball params
BALL_DIAMETER:0.0427
BALL_MASS:0.046

ANGULAR_DAMP:0.01

# motor params
TEENSY_KP:0.5
TEENSY_KI:0.5
TEENSY_KD:0.

MOTOR_SATURATION_VOLTAGE:7.93
DUTY_CYCLE_WIDTH:255

WHEEL_INERTIA:9.97e-6
MOTOR_INERTIA:2.1321e-8
MOTOR_GEAR_RATIO:51.45
MOTOR_GEAR_EFFICIENCY:0.7805
MOTOR_RESISTANCE:4.3
MOTOR_KT:0.0017
MOTOR_VISCOUS_FRICTION:5.8734e-8
ENCODER_RESOLUTION:617.4
MOTOR_SEPARATION_DEGREES:30

# collision params
WHEEL_FIELD_FRICTION_COEFFICIENT:2
WHEEL_FIELD_RESTITUTION:0
WHEEL_FIELD_MIN_BOUNCE_VELOCITY:99999999

BALL_FIELD_FRICTION_COEFFICIENT:0.8
BALL_FIELD_RESTITUTION:0.5
BALL_FIELD_MIN_BOUNCE_VELOCITY:0.1

ROBOT_BALL_FRICTION_COEFFICIENT:0.3
ROBOT_BALL_RESTITUTION:0.4
ROBOT_BALL_MIN_BOUNCE_VELOCITY:0.1

DEFAULT_FRICTION_COEFFICIENT:0
DEFAULT_RESTITUTION:0
DEFAULT_MIN_BOUNCE_VELOCITY:99999999